Subject: bug#41757: soundconverter doesn't work when grafted

From: Christopher Baines <[email-masked]>
Date: Sun, 07 Jun 2020 21:25:00 +0100

Hey,

So I was having problems with soundconverter, and I noticed that if I
avoid grafts, it works. I'm not sure if there's an issue with the
grafting, or what's being grafted.

→ guix build soundconverter
/gnu/store/cyf72nqq2c0fbh145wc6jj3f2zssjx1n-soundconverter-3.0.2

→ /gnu/store/cyf72nqq2c0fbh145wc6jj3f2zssjx1n-soundconverter-3.0.2/bin/soundconverter 
  faac gstreamer element not found
SoundConverter 3.0.2
/gnu/store/cyf72nqq2c0fbh145wc6jj3f2zssjx1n-soundconverter-3.0.2/lib/soundconverter/python/soundconverter/ui.py:1465: Warning: g_value_type_transformable: assertion 'src_type' failed
  builder.add_from_file(gladefile)

(SoundConverter:15974): Gtk-WARNING **: 21:23:20.952: gtkliststore.c:836: Unable to convert from (null) to gchararray
Traceback (most recent call last):
  File "/gnu/store/cyf72nqq2c0fbh145wc6jj3f2zssjx1n-soundconverter-3.0.2/bin/..soundconverter-real-real", line 221, in <module>
    gui_main(NAME, VERSION, GLADEFILE, files)
  File "/gnu/store/cyf72nqq2c0fbh145wc6jj3f2zssjx1n-soundconverter-3.0.2/lib/soundconverter/python/soundconverter/ui.py", line 1468, in gui_main
    win = SoundConverterWindow(builder)
  File "/gnu/store/cyf72nqq2c0fbh145wc6jj3f2zssjx1n-soundconverter-3.0.2/lib/soundconverter/python/soundconverter/ui.py", line 1082, in __init__
    self.prefs = PreferencesDialog(builder, self.widget)
  File "/gnu/store/cyf72nqq2c0fbh145wc6jj3f2zssjx1n-soundconverter-3.0.2/lib/soundconverter/python/soundconverter/ui.py", line 459, in __init__
    self.settings = Gio.Settings('org.soundconverter')
  File "/gnu/store/426zzzvb53ydf6l7rhvfwl30kmx1b0sm-python-pygobject-3.34.0/lib/python3.8/site-packages/gi/overrides/__init__.py", line 319, in new_init
    return super_init_func(self, **new_kwargs)
TypeError: gobject `GSettings' doesn't support property `schema'

→ guix build --no-grafts soundconverter
/gnu/store/jic3i199783dk2wm58rcq53lmrpslcwd-soundconverter-3.0.2

→ /gnu/store/jic3i199783dk2wm58rcq53lmrpslcwd-soundconverter-3.0.2/bin/soundconverter 
  faac gstreamer element not found
SoundConverter 3.0.2
/gnu/store/jic3i199783dk2wm58rcq53lmrpslcwd-soundconverter-3.0.2/lib/soundconverter/python/soundconverter/ui.py:1465: Warning: g_value_type_transformable: assertion 'src_type' failed
  builder.add_from_file(gladefile)

(SoundConverter:16020): Gtk-WARNING **: 21:23:34.167: gtkliststore.c:836: Unable to convert from (null) to gchararra
y

(It works at this point)